package com.admin.major.service;

import java.util.List;
import com.admin.major.domain.AdjustResult;
import com.admin.major.domain.dto.AdjustResultDTO;

/**
 * 分流结果Service接口
 * 
 * @author zewei
 * @date 2022-03-26
 */
public interface IAdjustResultService 
{
    /**
     * 查询分流结果
     * 
     * @param batchId 分流结果主键
     * @return 分流结果
     */
    public AdjustResult selectAdjustResultByStudentId(String batchId);

    /**
     * 查询分流结果列表
     * 
     * @param adjustResult 分流结果
     * @return 分流结果集合
     */
    public List<AdjustResult> selectAdjustResultList(AdjustResult adjustResult);

    AdjustResult selectOneAdjustResult(AdjustResult adjustResult);

    /**
     * 新增分流结果
     * 
     * @param adjustResult 分流结果
     * @return 结果
     */
    public int insertAdjustResult(AdjustResult adjustResult);

    /**
     * 修改分流结果
     * 
     * @param adjustResult 分流结果
     * @return 结果
     */
    public int updateAdjustResult(AdjustResult adjustResult);

    /**
     * 批量删除分流结果
     * 
     * @param batchIds 需要删除的分流结果主键集合
     * @return 结果
     */
    public int deleteAdjustResultByBatchIds(String[] batchIds);

    /**
     * 删除分流结果信息
     * 
     * @param batchId 分流结果主键
     * @return 结果
     */
    public int deleteAdjustResultByBatchId(String batchId);

    int deleteAdjustResultByDynamic(AdjustResult adjustResult);

    boolean saveBatch(List<AdjustResult> adjustResults);

    List<AdjustResultDTO> viewAdjustResult(AdjustResultDTO adjustResult);

}
